"use strict";

var Helper = require('../helper');

require("../mocha-config.js");

var OverlayPanel = require('../../../main/js/gui/OverlayPanel');


var chai = require('chai');
var assert = chai.assert;
var logger = require('../logger');

describe('OverlayPanel', function() {

  var helper;
  before(function() {
    helper = new Helper();
  });

  it('contructor', function() {
    var div = helper.createOverlayTab();

    var map = helper.createCustomMap();

    new OverlayPanel({
      element : div,
      customMap : map
    });
    assert.equal(logger.getWarnings().length, 0);
  });

  it('refresh', function() {
    var div = helper.createOverlayTab();

    var map = helper.createCustomMap();

    var panel = new OverlayPanel({
      element : div,
      customMap : map
    });
    
    return panel.refresh().then(function(){
      assert.ok(panel.getElement().innerHTML.indexOf("testLayout")>=0);
    });
  });

});
