"use strict";

var Promise = require("bluebird");
var Cookies = require('js-cookie');


// GLOBAL configuration
var jsdom = require('jsdom');
global.document = jsdom.jsdom(undefined);
global.window = document.defaultView;

global.$ = require('jQuery');
global.jQuery = $;
global.window.$ = $;

require("bootstrap");


global.google = require('./google-map-mock');

global.GuiConnector = require('./GuiConnector-mock');
global.ServerConnector = require('./ServerConnector-mock');

global.navigator = {
  userAgent : 'node.js'
};

// -----------------------------

var logger = require('./logger');

function removeCookies(){
  var cookies  = Cookies.get(); 
  for(var cookie in cookies) {
    Cookies.remove(cookie);
  }
}

function mockBootstrap() {
  $.fn.typeahead = function () {
    logger.debug("Mock typeahead function call");
  };
}

before(function() {
  Promise.longStackTraces();
  
  mockBootstrap();
});

beforeEach(function() {

  logger.flushBuffer();
  
  removeCookies();
  
  
  ServerConnector.init();
  ServerConnector.setToken("MOCK_TOKEN_ID");
  
  GuiConnector.init();
  
  global.testDiv = document.createElement("div");
  global.testDiv.id = "test";
  document.body.appendChild(testDiv);
  
  global.dialogDiv = document.createElement("div");
  global.dialogDiv.id = "feedbackContent";
  document.body.appendChild(global.dialogDiv);
  
});

afterEach(function() {
  document.body.removeChild(global.testDiv);
  document.body.removeChild(global.dialogDiv);
  delete global.testDiv;
});
